RetroELEC (Generic/RPi/XU4) Emulationstation/RetroArch/Kodi

  • PrimusNZ


    No, I won't be maintaining a 32-bit build. You can look at the changes I made and roll your own if you wish. The new build works fine here, provide logs from the logfile share.

    Alright thats cool, I've managed to set up 32-bit build process based off your le82 branch (Nice work btw, this fork is epic)

    Am running into an issue with your latest commit (I hope you're aware of?) due to the upgrade of mesa, occurs during the mesa build phase
    configure: error: LLVM 3.9.0 or newer is required for radv

    I am building the 64-bit variant now to make sure it isnt a 32-bit thing

    *EDIT* Yeah looks to be a 32-bit thing - Nevermind

    Edited once, last by PrimusNZ ().

  • My 8.2 branch has LLVM 4.0.0 so you're definitely not on that branch. If that's where you get stuck I'd just recommend giving up. You're not going to be able to just run make and it'll work, and I'm not going to hold your hand. A raspberry pi is like $35 :)

  • Hi escalade,


    is there a way to load some custom libs into system , the same way we can load kernel modules from storage?

    My goal is to run Stepmania from emulationstation but blocked by missing lib, my log tell me libmad.so.0 is missing

  • escalade


    I wanted to let you know that I successfully built and installed your new release on my Intel NUC 7i3 and everything so far seems to be working fine. I'm still facing the same Bluetooth issue however when launching any ROM from RetroArch. I haven't had much time to really dig around yet but I did notice something new. Originally I thought the problem was only with my PS4 controller, but I have a Bluetooth keyboard and discovered that's also affected by this problem.


    Bluetooth works fine in LibreELEC, Chrome, and even RetroArch. I can move around the menus, select a different system/ROM, and launch one from the menu. However once it launches I lose all attached Bluetooth devices, not just the PS4 controller. I had to reconnect both my keyboard and PS4 controller to get them to work. Everything works fine while playing a ROM until I hit the in-game RetroArch menu. If I do that I run into the same issue and have to reconnect any Bluetooth device for it to work. Then if I resume the game I again lose all Bluetooth and have to reconnect. So I'm thinking this problem has to be with Bluetooth and RetroArch as I don't seem to have this problem anywhere else.


    Any troubleshooting suggestions you might have would be greatly appreciated. Are there any log files I can dig through that might reveal the problem? What do you think about trying a USB Bluetooth adapter? Are there any specific ones that are recommended for use with LE or RetroArch? What type of system and version of Bluetooth are you successfully running?

  • meldrak


    You could simply copy it over.


    cragmuer


    System log can be viewed with journalctl and RA log can be found in /var/log. It's not a general problem as nobody else have this issue. I'm using an older NUC with Intel 6235 BT chip, while the NUC7 uses 8265 I believe. Usually Intel wireless works great under Linux, but I guess trying a USB adapter won't hurt. There's no recommended hardware, just find one that's available and cross check that it's supported by the kernel before buying.


    EDIT: I see that the 8265 firmware was recently updated, I'm uploading a new build that includes the update. Worth a shot.

  • escalade


    I think I'll wait and try your new build with the updated firmware to see if that works before trying something else. That way I can narrow the problem down to the Bluetooth chipset or something else. I'm going to poke around in the logs anyway just to see if I notice anything out of the ordinary, but as you say no one else seems to be having this problem. I searched high and low on Google and wasn't able to really come up with anything. I can't thank you enough for all the help and the new build,


    Let me know when you get around to uploading it and I'll give it a shot! xD

  • Not at all, the build is on my gdrive. That's a development branch. Is there any particular reason why you insist on building?

  • It's back again, but status is the same. As soon as there's a new kernel that breaks it (or the image is too large) then it's out.

  • It's back again, but status is the same. As soon as there's a new kernel that breaks it (or the image is too large) then it's out.

    Just wondering, is there a specific reason why the image size is limited to 512MB? I mean isn't it possible to increase it to 1GB for generic builds as those have to support a variety of hardware configurations?

  • Other than the LE default partition size for /flash is 512MB, there's no specific reason for the limit. LE is meant to be a lightweight OS with just the bare minimum to run Kodi though, so it makes sense to save space wherever. By default the image is copied to RAM on boot, so the larger the image the more memory usage as well. If you installed from my build then your /flash is 768MB. Should probably just increase it to 1GB, it's nice to have extra space on the boot partition for other OS, backup firmwares etc.

  • So basically the flash partition stays 512MB to maintain compatibility to the LE vanilla images. I've read that in the past the default size has been increased from 256mb to 512MB to increase storage size. I guess you're struggeling everytime right now to find a balance between shipping files and keep the size within the limit?

    What about the libretro cores, is it possible to download them after first start? So the same way as chrome & spotify is installed?

    PS: is there a way to close spotify or do we have to switch by alt+tab after it is launched?

  • No, the image stays <=512MB to maintain compatibility. My default partition size is 768MB, but every time my image is larger than 512MB there's someone complaining that it doesn't fit in their /flash partition, that would be those who installed from vanilla LE.


    Sure libretro cores or whatever could be downloaded. That would require hosting and extra infrastructure. I'll just cut nvidia legacy and let those with ancient hardware build themselves.

  • Dear Escalade,

    I've tested your compilation and it's the best I tried since I started with Openelec.

    In my HTPC I have an ambilight connected and with last version of Libreelec/Openelec and boblight addon doesn't work.

    They require install a binaries in order to work, but is not possible to install.

    If you could add this binaries to your compilation, will be perfect.

    I'm not sure if other ambilight users had the same problem, but I think this binaries will not be a difficult task for you :)

    Please, consider this for your next release.

    Thanks


    Kind regards,

    Javier